SET TERM ^;
CREATE TRIGGER NAUCZYCIELE_AFTER_UPDATE FOR NAUCZYCIELE
ACTIVE AFTER UPDATE //ACTIVE (INACTIVE) – wyzwalacz można aktywować lub dezaktywować; nie można określić wyzwalacza działającego przy zmianie wartości tylko w pojedynczej kolumnie 
POSITION 0 //liczba określająca numer wyzwalacza w kolejności do wykonania, jeśli zdefiniowano więcej wyzwalaczy dla tego samego zdarzenia
AS //tu możemy deklarować własne zmienne używając klauzuli DECLARE VARIABLE np. DECLARE VARIABLE MOJA_ZMIENNA INTEGER;
BEGIN //blok, w którym definiujemy akcję i warunki działania wyzwalacza w postaci języka SQL oraz dodatkowych instrukcji (zwykle podobnych do tych używanych w innych językach programowania)
  IF (NEW.IMIE IS NULL) THEN //podobnie jak w poprzednim przykładzie mamy dostęp do wartości w bazie danych sprzed zdarzenia i po zdarzeniu za pomocą predefiniowanych zmiennych NEW i OLD, które odpowiadają staremu wierszowi i nowemu zmodyfikowanemu
    UPDATE NAUCZYCIELE
    SET IMIE=’<Bezimienny>’ 
    WHERE NEW.ID=ID;
END^
//wyzwalacz działa po zmianie poszczególnych wierszy i nie można zdefiniować w odróżnieniu od poprzedniego przykładu wyzwalacza działającego po wykonaniu całej instrukcji SQL
